diff --git a/media/webrtc/trunk/tools/gyp/test/lib/TestGyp.py b/media/webrtc/trunk/tools/gyp/test/lib/TestGyp.py
index fc7b135817..01084d4fb4 100644
--- a/media/webrtc/trunk/tools/gyp/test/lib/TestGyp.py
+++ b/media/webrtc/trunk/tools/gyp/test/lib/TestGyp.py
@@ -6,7 +6,9 @@
 TestGyp.py:  a testing framework for GYP integration tests.
 """
 
+from __future__ import print_function
 import collections
+import collections.abc
 from contextlib import contextmanager
 import itertools
 import os
@@ -282,13 +284,13 @@ class TestGypBase(TestCommon.TestCommon):
     that expect exact output from the command (make) can
     just set stdout= when they call the run_build() method.
     """
-    print "Build is not up-to-date:"
-    print self.banner('STDOUT ')
-    print self.stdout()
+    print("Build is not up-to-date:")
+    print(self.banner('STDOUT '))
+    print(self.stdout())
     stderr = self.stderr()
     if stderr:
-      print self.banner('STDERR ')
-      print stderr
+      print(self.banner('STDERR '))
+      print(stderr)
 
   def run_gyp(self, gyp_file, *args, **kw):
     """
@@ -326,7 +328,7 @@ class TestGypBase(TestCommon.TestCommon):
     the tool-specific subclasses or clutter the tests themselves
     with platform-specific code.
     """
-    if kw.has_key('SYMROOT'):
+    if 'SYMROOT' in kw:
       del kw['SYMROOT']
     super(TestGypBase, self).run(*args, **kw)
 
@@ -492,7 +494,7 @@ class TestGypCMake(TestGypBase):
     if status is None:
       kw['status'] = None
     else:
-      if not isinstance(status, collections.Iterable): status = (status,)
+      if not isinstance(status, collections.abc.Iterable): status = (status,)
       kw['status'] = list(itertools.chain((0,), status))
     self.cmake_build(gyp_file, target, **kw)
     kw['status'] = status
@@ -556,7 +558,7 @@ class TestGypMake(TestGypBase):
     # Makefile.gyp_filename), so use that if there is no Makefile.
     chdir = kw.get('chdir', '')
     if not os.path.exists(os.path.join(chdir, 'Makefile')):
-      print "NO Makefile in " + os.path.join(chdir, 'Makefile')
+      print("NO Makefile in " + os.path.join(chdir, 'Makefile'))
       arguments.insert(0, '-f')
       arguments.insert(1, os.path.splitext(gyp_file)[0] + '.Makefile')
     kw['arguments'] = arguments
@@ -663,7 +665,7 @@ def FindMSBuildInstallation(msvs_version = 'auto'):
 
   msbuild_basekey = r'HKLM\SOFTWARE\Microsoft\MSBuild\ToolsVersions'
   if not registry.KeyExists(msbuild_basekey):
-    print 'Error: could not find MSBuild base registry entry'
+    print('Error: could not find MSBuild base registry entry')
     return None
 
   msbuild_version = None
@@ -672,7 +674,7 @@ def FindMSBuildInstallation(msvs_version = 'auto'):
     if registry.KeyExists(msbuild_basekey + '\\' + msbuild_test_version):
       msbuild_version = msbuild_test_version
     else:
-      print ('Warning: Environment variable GYP_MSVS_VERSION specifies "%s" '
+      print('Warning: Environment variable GYP_MSVS_VERSION specifies "%s" '
              'but corresponding MSBuild "%s" was not found.' %
              (msvs_version, msbuild_version))
   if not msbuild_version:
@@ -682,13 +684,13 @@ def FindMSBuildInstallation(msvs_version = 'auto'):
         msbuild_version = msbuild_test_version
         break
   if not msbuild_version:
-    print 'Error: could not find MSBuild registry entry'
+    print('Error: could not find MSBuild registry entry')
     return None
 
   msbuild_path = registry.GetValue(msbuild_basekey + '\\' + msbuild_version,
                                    'MSBuildToolsPath')
   if not msbuild_path:
-    print 'Error: could not get MSBuild registry entry value'
+    print('Error: could not get MSBuild registry entry value')
     return None
 
   return os.path.join(msbuild_path, 'MSBuild.exe')
@@ -730,7 +732,7 @@ def FindVisualStudioInstallation():
         msbuild_path = FindMSBuildInstallation(msvs_version)
         return build_tool, uses_msbuild, msbuild_path
     else:
-      print ('Warning: Environment variable GYP_MSVS_VERSION specifies "%s" '
+      print('Warning: Environment variable GYP_MSVS_VERSION specifies "%s" '
               'but corresponding "%s" was not found.' % (msvs_version, path))
   # Neither GYP_MSVS_VERSION nor the path help us out.  Iterate through
   # the choices looking for a match.
@@ -742,7 +744,7 @@ def FindVisualStudioInstallation():
         uses_msbuild = msvs_version >= '2010'
         msbuild_path = FindMSBuildInstallation(msvs_version)
         return build_tool, uses_msbuild, msbuild_path
-  print 'Error: could not find devenv'
+  print('Error: could not find devenv')
   sys.exit(1)
 
 class TestGypOnMSToolchain(TestGypBase):
@@ -887,10 +889,10 @@ class TestGypMSVS(TestGypOnMSToolchain):
     Verifies that a build of the specified Visual Studio target is up to date.
 
     Beware that VS2010 will behave strangely if you build under
-    C:\USERS\yourname\AppData\Local. It will cause needless work.  The ouptut
+    C:\USERS\\yourname\\AppData\\Local. It will cause needless work.  The ouptut
     will be "1 succeeded and 0 up to date".  MSBuild tracing reveals that:
-    "Project 'C:\Users\...\AppData\Local\...vcxproj' not up to date because
-    'C:\PROGRAM FILES (X86)\MICROSOFT VISUAL STUDIO 10.0\VC\BIN\1033\CLUI.DLL'
+    "Project 'C:\Users\\...\\AppData\\Local\\...vcxproj' not up to date because
+    'C:\\PROGRAM FILES (X86)\\MICROSOFT VISUAL STUDIO 10.0\\VC\\BIN\1033\\CLUI.DLL'
     was modified at 02/21/2011 17:03:30, which is newer than '' which was
     modified at 01/01/0001 00:00:00.
 
@@ -1190,4 +1192,4 @@ def TestGyp(*args, **kw):
   for format_class in format_class_list:
     if format == format_class.format:
       return format_class(*args, **kw)
-  raise Exception, "unknown format %r" % format
+  raise Exception("unknown format %r" % format)
diff --git a/media/webrtc/trunk/tools/gyp/test/lib/TestMac.py b/media/webrtc/trunk/tools/gyp/test/lib/TestMac.py
index 68605d77b1..4db31f0cff 100644
--- a/media/webrtc/trunk/tools/gyp/test/lib/TestMac.py
+++ b/media/webrtc/trunk/tools/gyp/test/lib/TestMac.py
@@ -23,17 +23,17 @@ def CheckFileType(test, file, archs):
     pattern = re.compile('^Architectures in the fat file: (.*) are: (.*)$')
   match = pattern.match(o)
   if match is None:
-    print 'Ouput does not match expected pattern: %s' % (pattern.pattern)
+    print('Ouput does not match expected pattern: %s' % (pattern.pattern))
     test.fail_test()
   else:
     found_file, found_archs = match.groups()
     if found_file != file or set(found_archs.split()) != set(archs):
-      print 'Expected file %s with arch %s, got %s with arch %s' % (
-          file, ' '.join(archs), found_file, found_archs)
+      print('Expected file {} with arch {}, got {} with arch {}'.format(
+          file, ' '.join(archs), found_file, found_archs))
       test.fail_test()
 
 
-class XcodeInfo(object):
+class XcodeInfo:
   """Simplify access to Xcode informations."""
 
   def __init__(self):
diff --git a/media/webrtc/trunk/tools/gyp/test/lib/TestWin.py b/media/webrtc/trunk/tools/gyp/test/lib/TestWin.py
index 7627197b1f..62b5f5e30a 100644
--- a/media/webrtc/trunk/tools/gyp/test/lib/TestWin.py
+++ b/media/webrtc/trunk/tools/gyp/test/lib/TestWin.py
@@ -12,7 +12,7 @@ import re
 import sys
 import subprocess
 
-class Registry(object):
+class Registry:
   def _QueryBase(self, sysdir, key, value):
     """Use reg.exe to read a particular key.
 
@@ -63,7 +63,7 @@ class Registry(object):
     text = None
     try:
       text = self._QueryBase('Sysnative', key, value)
-    except OSError, e:
+    except OSError as e:
       if e.errno == errno.ENOENT:
         text = self._QueryBase('System32', key, value)
       else:
diff --git a/media/webrtc/trunk/tools/gyp/test/linux/ldflags-duplicates/check-ldflags.py b/media/webrtc/trunk/tools/gyp/test/linux/ldflags-duplicates/check-ldflags.py
index 0515da95e4..0a7d25efc3 100755
--- a/media/webrtc/trunk/tools/gyp/test/linux/ldflags-duplicates/check-ldflags.py
+++ b/media/webrtc/trunk/tools/gyp/test/linux/ldflags-duplicates/check-ldflags.py
@@ -12,13 +12,13 @@ import sys
 
 def CheckContainsFlags(args, substring):
   if args.find(substring) is -1:
-    print 'ERROR: Linker arguments "%s" are missing in "%s"' % (substring, args)
+    print('ERROR: Linker arguments "{}" are missing in "{}"'.format(substring, args))
     return False;
   return True;
 
 if __name__ == '__main__':
   args = " ".join(sys.argv)
-  print  "args = " +args
+  print("args = " +args)
   if not CheckContainsFlags(args, 'lib1.a -Wl,--no-whole-archive') \
     or not CheckContainsFlags(args, 'lib2.a -Wl,--no-whole-archive'):
     sys.exit(1);
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-assets-catalog.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-assets-catalog.py
index ca76b513aa..1a352c8874 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-assets-catalog.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-assets-catalog.py
@@ -17,12 +17,12 @@ import subprocess
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 def ExpectEq(expected, actual):
   if expected != actual:
-    print >>sys.stderr, 'Expected "%s", got "%s"' % (expected, actual)
+    print('Expected "{}", got "{}"'.format(expected, actual), file=sys.stderr)
     test.fail_test()
 
 def ls(path):
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-error.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-error.py
index c6fe33f128..f70488c387 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-error.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app-error.py
@@ -14,7 +14,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   expected_error = 'Old-style plist parser: missing semicolon in dictionary'
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app.py
index be92d01aed..9cea21a997 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-app.py
@@ -18,7 +18,7 @@ import sys
 
 
 if sys.platform in ('darwin', 'win32'):
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
@@ -26,12 +26,12 @@ def CheckFileXMLPropertyList(file):
   output = subprocess.check_output(['file', file])
   # The double space after XML is intentional.
   if not 'XML  document text' in output:
-    print 'File: Expected XML  document text, got %s' % output
+    print('File: Expected XML  document text, got %s' % output)
     test.fail_test()
 
 def ExpectEq(expected, actual):
   if expected != actual:
-    print >>sys.stderr, 'Expected "%s", got "%s"' % (expected, actual)
+    print('Expected "{}", got "{}"'.format(expected, actual), file=sys.stderr)
     test.fail_test()
 
 def ls(path):
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-bundle-resources.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-bundle-resources.py
index e9eddb70fa..45b28f438d 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-bundle-resources.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-bundle-resources.py
@@ -15,7 +15,7 @@ import stat
 import sys
 
 if sys.platform in ('darwin'):
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-copies.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-copies.py
index 4146441862..59156e5054 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-copies.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-copies.py
@@ -15,7 +15,7 @@ import sys
 import time
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-depend-on-bundle.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-depend-on-bundle.py
index 486fbfe2da..568f741034 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-depend-on-bundle.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-depend-on-bundle.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-framework.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-framework.py
index 553cc9f648..efbfaf0343 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-framework.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-framework.py
@@ -14,7 +14,7 @@ import os
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
@@ -67,12 +67,12 @@ if sys.platform == 'darwin':
   # Check that no other files get added to the bundle.
   if set(ls(test.built_file_path('Test Framework.framework',
                                  chdir='framework'))) != \
-     set(['Versions/A/Test Framework',
+     {'Versions/A/Test Framework',
           'Versions/A/Resources/Info.plist',
           'Versions/A/Resources/English.lproj/InfoPlist.strings',
           'Test Framework',
           'Versions/A/Libraries/empty.c',  # Written by a gyp action.
-          ]):
+          }:
     test.fail_test()
 
   test.pass_test()
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-infoplist-process.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-infoplist-process.py
index 2e5168477e..dff0991356 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-infoplist-process.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-infoplist-process.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-installname.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-installname.py
index 3fc7152242..0cc80d9200 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-installname.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-installname.py
@@ -16,7 +16,7 @@ import subprocess
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-ldflags-passed-to-libtool.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-ldflags-passed-to-libtool.py
index 48afcd46bc..5c9c17b3f4 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-ldflags-passed-to-libtool.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-ldflags-passed-to-libtool.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'],
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-loadable-module.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-loadable-module.py
index 158a930552..19242b040b 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-loadable-module.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-loadable-module.py
@@ -15,7 +15,7 @@ import struct
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-lto.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-lto.py
index 5171544750..d417135d3f 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-lto.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-lto.py
@@ -44,7 +44,7 @@ if sys.platform == 'darwin':
     elif ': LLVM bit-code ' in o:
       objtype = 'llvm'
     if objtype != t_expected:
-      print 'Expected %s, got %s' % (t_expected, objtype)
+      print('Expected {}, got {}'.format(t_expected, objtype))
       test.fail_test()
 
   ObjType(ObjPath('cfile', 'lto'), 'llvm')
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-missing-cfbundlesignature.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-missing-cfbundlesignature.py
index 43cab77bdf..0289c92e31 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-missing-cfbundlesignature.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-missing-cfbundlesignature.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-non-strs-flattened-to-env.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-non-strs-flattened-to-env.py
index b802619ba2..571c12523b 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-non-strs-flattened-to-env.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-non-strs-flattened-to-env.py
@@ -14,7 +14,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-defaults.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-defaults.py
index 892a0c4b06..f223e354a5 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-defaults.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-defaults.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-fail.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-fail.py
index 9cd5d47d28..319338fe8a 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-fail.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-postbuild-fail.py
@@ -39,7 +39,7 @@ if sys.platform == 'darwin':
                          stderr=subprocess.STDOUT)
   out, err = job.communicate()
   if job.returncode != 0:
-    print out
+    print(out)
     raise Exception('Error %d running xcodebuild' % job.returncode)
   if out.startswith('Xcode 3.'):
     test.pass_test()
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-rebuild.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-rebuild.py
index e615d06786..4473ce7351 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-rebuild.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-rebuild.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sdkroot.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sdkroot.py
index f7d41cd25a..38733d3f77 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sdkroot.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sdkroot.py
@@ -16,7 +16,7 @@ import sys
 
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sourceless-module.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sourceless-module.py
index c34bc546bd..a1280c97fe 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sourceless-module.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-sourceless-module.py
@@ -13,7 +13,7 @@ import TestGyp
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip-default.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip-default.py
index f73fa1124c..6c4d65bdd8 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip-default.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip-default.py
@@ -34,14 +34,14 @@ if sys.platform == 'darwin':
     # Filter out mysterious "00 0000   OPT radr://5614542" symbol which
     # is apparently only printed on the bots (older toolchain?).
     # Yes, "radr", not "rdar".
-    o = ''.join(filter(lambda s: 'radr://5614542' not in s, o.splitlines(True)))
+    o = ''.join([s for s in o.splitlines(True) if 'radr://5614542' not in s])
 
     o = o.replace('A', 'T')
     o = re.sub(r'^[a-fA-F0-9]+', 'XXXXXXXX', o, flags=re.MULTILINE)
     assert not proc.returncode
     if o != o_expected:
-      print 'Stripping: Expected symbols """\n%s""", got """\n%s"""' % (
-          o_expected, o)
+      print('Stripping: Expected symbols """\n{}""", got """\n{}"""'.format(
+          o_expected, o))
       test.fail_test()
 
   CheckNsyms(OutPath('libsingle_dylib.dylib'),
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip.py
index a729521e18..357f48f59a 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-strip.py
@@ -33,7 +33,7 @@ if sys.platform == 'darwin':
     m = r.search(o)
     n = int(m.group(1))
     if n != n_expected:
-      print 'Stripping: Expected %d symbols, got %d' % (n_expected, n)
+      print('Stripping: Expected %d symbols, got %d' % (n_expected, n))
       test.fail_test()
 
   # Starting with Xcode 5.0, clang adds an additional symbols to the compiled
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-swift-library.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-swift-library.py
index dde7a62351..961128a375 100644
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-swift-library.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-swift-library.py
@@ -16,7 +16,7 @@ import sys
 import subprocess
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['xcode'])
@@ -26,7 +26,7 @@ if sys.platform == 'darwin':
     output = subprocess.check_output(['nm', '-j', path])
     idx = output.find(symbol)
     if idx == -1:
-      print 'Swift: Could not find symobl: %s' % symbol
+      print('Swift: Could not find symobl: %s' % symbol)
       test.fail_test()
 
   test_cases = []
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-xcode-env-order.py b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-xcode-env-order.py
index 6e7ca2413f..9898c226ee 100755
--- a/media/webrtc/trunk/tools/gyp/test/mac/gyptest-xcode-env-order.py
+++ b/media/webrtc/trunk/tools/gyp/test/mac/gyptest-xcode-env-order.py
@@ -15,7 +15,7 @@ import subprocess
 import sys
 
 if sys.platform == 'darwin':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
   test = TestGyp.TestGyp(formats=['ninja', 'make', 'xcode'])
diff --git a/media/webrtc/trunk/tools/gyp/test/make/gyptest-noload.py b/media/webrtc/trunk/tools/gyp/test/make/gyptest-noload.py
index 1f5103315c..9542a5d895 100755
--- a/media/webrtc/trunk/tools/gyp/test/make/gyptest-noload.py
+++ b/media/webrtc/trunk/tools/gyp/test/make/gyptest-noload.py
@@ -10,7 +10,6 @@ optional.
 """
 
 # Python 2.5 needs this for the with statement.
-from __future__ import with_statement
 
 import os
 import TestGyp
diff --git a/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_nm.py b/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_nm.py
index f0f1efcf73..578d680bc5 100755
--- a/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_nm.py
+++ b/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_nm.py
@@ -3,6 +3,6 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
 with open('RAN_MY_NM', 'w') as f:
   f.write('RAN_MY_NM')
diff --git a/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_readelf.py b/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_readelf.py
index 40e303cd76..6ec7c9ea22 100755
--- a/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_readelf.py
+++ b/media/webrtc/trunk/tools/gyp/test/make_global_settings/full-toolchain/my_readelf.py
@@ -3,6 +3,6 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 import sys
-print sys.argv
+print(sys.argv)
 with open('RAN_MY_READELF', 'w') as f:
   f.write('RAN_MY_READELF')
diff --git a/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions-unsorted.py b/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions-unsorted.py
index 90d3c92e4c..1be553726a 100644
--- a/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions-unsorted.py
+++ b/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions-unsorted.py
@@ -9,10 +9,11 @@ Make sure lots of actions in the same target don't cause exceeding command
 line length.
 """
 
+from __future__ import print_function
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 import TestGyp
diff --git a/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions.py b/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions.py
index f2e719bb70..e0d75c983b 100644
--- a/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions.py
+++ b/media/webrtc/trunk/tools/gyp/test/many-actions/gyptest-many-actions.py
@@ -9,10 +9,11 @@ Make sure lots of actions in the same target don't cause exceeding command
 line length.
 """
 
+from __future__ import print_function
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/msvs/config_attrs/gyptest-config_attrs.py b/media/webrtc/trunk/tools/gyp/test/msvs/config_attrs/gyptest-config_attrs.py
index d5603744db..b01f3c9311 100644
--- a/media/webrtc/trunk/tools/gyp/test/msvs/config_attrs/gyptest-config_attrs.py
+++ b/media/webrtc/trunk/tools/gyp/test/msvs/config_attrs/gyptest-config_attrs.py
@@ -16,7 +16,7 @@ import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stderr.py b/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stderr.py
index f4860624f3..fc1b04331c 100644
--- a/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stderr.py
+++ b/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stderr.py
@@ -4,4 +4,4 @@
 # found in the LICENSE file.
 
 import sys
-print >>sys.stderr, "This will go to stderr"
+print("This will go to stderr", file=sys.stderr)
diff --git a/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stdout.py b/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stdout.py
index 2b58d2a374..8881d44d64 100644
--- a/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stdout.py
+++ b/media/webrtc/trunk/tools/gyp/test/msvs/rules_stdout_stderr/rule_stdout.py
@@ -3,4 +3,9 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file.
 
-print "This will go to stdout"
+#!/usr/bin/env python
+# Copyright (c) 2015 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+print("This will go to stdout")
diff --git a/media/webrtc/trunk/tools/gyp/test/ninja/action_dependencies/gyptest-action-dependencies.py b/media/webrtc/trunk/tools/gyp/test/ninja/action_dependencies/gyptest-action-dependencies.py
index cb59d7e3c1..16556ef9a8 100755
--- a/media/webrtc/trunk/tools/gyp/test/ninja/action_dependencies/gyptest-action-dependencies.py
+++ b/media/webrtc/trunk/tools/gyp/test/ninja/action_dependencies/gyptest-action-dependencies.py
@@ -13,7 +13,7 @@ import os
 import sys
 
 if sys.platform == 'win32':
-  print "This test is currently disabled: https://crbug.com/483696."
+  print("This test is currently disabled: https://crbug.com/483696.")
   sys.exit(0)
 
 
diff --git a/media/webrtc/trunk/tools/gyp/test/ninja/solibs_avoid_relinking/gyptest-solibs-avoid-relinking.py b/media/webrtc/trunk/tools/gyp/test/ninja/solibs_avoid_relinking/gyptest-solibs-avoid-relinking.py
index 1b8e812eb2..b8277509de 100755
--- a/media/webrtc/trunk/tools/gyp/test/ninja/solibs_avoid_relinking/gyptest-solibs-avoid-relinking.py
+++ b/media/webrtc/trunk/tools/gyp/test/ninja/solibs_avoid_relinking/gyptest-solibs-avoid-relinking.py
@@ -24,7 +24,7 @@ test = TestGyp.TestGyp(formats=['ninja'])
 
 if not os.environ.get('ProgramFiles(x86)'):
   # TODO(scottmg)
-  print 'Skipping test on x86, http://crbug.com/365833'
+  print('Skipping test on x86, http://crbug.com/365833')
   test.pass_test()
 
 test.run_gyp('solibs_avoid_relinking.gyp')
